import AppLibrary
import ArgumentParser

@main
struct App: AsyncParsableCommand {
    
    // MARK: Properties

    @OptionGroup var options: Options
    
    // MARK: Functions

    mutating func run() async throws {
        let appBuilder = AppBuilder(
            appName: "Doxy",
            archivesFolder: "Resources/Archives"
        )

        let app = try await appBuilder(options)

        try await app.runService()
    }

}
